/*
 * libdbi - database independent abstraction layer for C.
 * Copyright (C) 2001-2002, David Parker and Mark Tobenkin.
 * http://libdbi.sourceforge.net
 * 
 * $Id: dbd_ingres.h,v 1.2 2006/05/31 18:13:38 qu1j0t3 Exp $
 */

// used by gperf hash, see months.gperf
struct month {
	char *name;
	int index;
};

// Interactive SQL reserved words
// list from Ingres(R) 2006 SQL Reference Guide, Appendix A

#define INGRES_RESERVED_WORDS { \
	"ABORT", \
	"ADD", \
	"ALL", \
	"ALTER", \
	"AND", \
	"ANY", \
	"AS", \
	"ASC", \
	"ASYMMETRIC", \
	"AT", \
	"AUTHORIZATION", \
	"AVG", \
	"BEGIN", \
	"BETWEEN", \
	"BY", \
	"BYREF", \
	"CACHE", \
	"CALLPROC", \
	"CASCADE", \
	"CASE", \
	"CAST", \
	"CHECK", \
	"CLOSE", \
	"COALESCE", \
	"COLLATE", \
	"COLUMN", \
	"COMMIT", \
	"COMMITTED", \
	"CONSTRAINT", \
	"CONTINUE", \
	"COPY", \
	"COPY_FROM", \
	"COPY_INTO", \
	"COUNT", \
	"CREATE", \
	"CURRENT", \
	"CURRENT_USER", \
	"CURRVAL", \
	"CURSOR", \
	"CYCLE", \
	"DECLARE", \
	"DEFAULT", \
	"DEFINE", \
	"DELETE", \
	"DESCRIBE", \
	"DISTINCT", \
	"DO", \
	"DROP", \
	"ELSE", \
	"ELSEIF", \
	"END", \
	"ENDFOR", \
	"ENDIF", \
	"ENDLOOP", \
	"ENDREPEAT", \
	"ENDWHILE", \
	"ESCAPE", \
	"EXCEPT", \
	"EXCLUDING", \
	"EXECUTE", \
	"EXISTS", \
	"FETCH", \
	"FIRST", \
	"FOR", \
	"FROM", \
	"FULL", \
	"GLOBAL", \
	"GRANT", \
	"GROUP", \
	"HAVING", \
	"IF", \
	"IMMEDIATE", \
	"IMPORT", \
	"IN", \
	"INCREMENT", \
	"INDEX", \
	"INITIAL_USER", \
	"INSERT", \
	"INTEGRITY", \
	"INTERSECT", \
	"INTO", \
	"IS", \
	"ISOLATION", \
	"JOIN", \
	"LEAVE", \
	"LEVEL", \
	"LIKE", \
	"LOCAL", \
	"MAX", \
	"MAXVALUE", \
	"MESSAGE", \
	"MIN", \
	"MINVALUE", \
	"MODIFY", \
	"MODULE", \
	"NATURAL", \
	"NEXT", \
	"NEXTVAL", \
	"NOCACHE", \
	"NOCYCLE", \
	"NOMAXVALUE", \
	"NOMINVALUE", \
	"NOORDER", \
	"NOT", \
	"NULL", \
	"NULLIF", \
	"OF", \
	"ON", \
	"ONLY", \
	"OPEN", \
	"OPTION", \
	"OR", \
	"ORDER", \
	"OUTER", \
	"PERMIT", \
	"PREPARE", \
	"PRESERVE", \
	"PRIVILEGES", \
	"PROCEDURE", \
	"PUBLIC", \
	"RAISE", \
	"RAWPCT", \
	"READ", \
	"REFERENCES", \
	"REFERENCING", \
	"REGISTER", \
	"RELOCATE", \
	"REMOVE", \
	"REPEAT", \
	"REPEATABLE", \
	"RESTART", \
	"RESTRICT", \
	"RETURN", \
	"REVOKE", \
	"ROLLBACK", \
	"ROW", \
	"ROWS", \
	"SAVE", \
	"SAVEPOINT", \
	"SCHEMA", \
	"SELECT", \
	"SERIALIZABLE", \
	"SESSION", \
	"SESSION_USER", \
	"SET", \
	"SOME", \
	"SQL", \
	"START", \
	"SUBSTRING", \
	"SUM", \
	"SYMMETRIC", \
	"SYSTEM_MAINTAINED", \
	"SYSTEM_USER", \
	"TABLE", \
	"TEMPORARY", \
	"THEN", \
	"TO", \
	"UNCOMMITTED", \
	"UNION", \
	"UNIQUE", \
	"UNTIL", \
	"UPDATE", \
	"USER", \
	"USING", \
	"VALUES", \
	"VIEW", \
	"WHEN", \
	"WHERE", \
	"WHILE", \
	"WITH", \
	"WORK", \
	"WRITE", \
	NULL }
